package com.kfzs.duanduan.datashare;

import android.content.Context;
import android.os.Bundle;

/**
 * <pre>
 *     sinlov
 *
 *     /\__/\
 *    /`    '\
 *  ≈≈≈ 0  0 ≈≈≈ Hello world!
 *    \  --  /
 *   /        \
 *  /          \
 * |            |
 *  \  ||  ||  /
 *   \_oo__oo_/≡≡≡≡≡≡≡≡o
 *
 * </pre>
 * Created by sinlov on 17/3/6.
 */
public interface ICertificationDog {

    void init(Context ctx, CertificationDog certificationDog);

    void doForceNeedReLogin();

    void doCertificationCode(Bundle extras);

    void doCertification(String certificationCode, String extras);

    void doCertificationCancel();

    void onDestroy();
}
